Loading...
Searching...
No Matches
fastjet::NNInfo< I > Class Template Reference
Advanced usage

internal helper template class to facilitate initialisation of a BJ with a PseudoJet and extra information. More...

`#include <fastjet/NNBase.hh>`

Inheritance diagram for fastjet::NNInfo< I >:
[legend]

## Public Member Functions

| NNInfo (I *info)
template<class BJ>
void | init_jet (BJ *briefjet, const fastjet::PseudoJet &jet, int index)

## Detailed Description

template<class I>
class fastjet::NNInfo< I >

internal helper template class to facilitate initialisation of a BJ with a PseudoJet and extra information.

Implementations of NN-based clustering do not need to explicitly use or refer to this class!

Definition at line 51 of file NNBase.hh.

## Constructor & Destructor Documentation

## NNInfo() [1/2]

template<class I>

fastjet::NNInfo< I >::NNInfo | ( |  | ) |

inline

Definition at line 53 of file NNBase.hh.

## NNInfo() [2/2]

template<class I>

fastjet::NNInfo< I >::NNInfo | ( | I * | info | ) |

inline

Definition at line 54 of file NNBase.hh.

## Member Function Documentation

## init_jet()

template<class I>
template<class BJ>

void fastjet::NNInfo< I >::init_jet | ( | BJ * | briefjet,
|  | const fastjet::PseudoJet & | jet,
|  | int | index )

inline

Definition at line 55 of file NNBase.hh.

The documentation for this class was generated from the following file:

- include/fastjet/NNBase.hh